# lit_itestd project
# Spec file for building rpm and srpm under Alt Linux Master
# $Id: lit_itestd.spec,v 1.28 2006/05/28 07:47:25 leader Exp $
# $Name:  $

Name: lit_itestd
Version: 1.0
Release: alt3
Summary: Knowledge testing HTTP service

License: GPL
Group: Education
Url: http://www.leaderit.ru/
Packager: Valery Grazdankin <leader@altlinux.ru>
Source: ftp://ftp.leaderit.ru/pub/src/%name-%version.tar.gz
Requires: MySQL-server
Requires: MySQL-client
Buildrequires: libMySQL-devel

%description
Knowledge testing service. Running as xinetd service.
Working at HTTP-protocol on default port 8006, 
using MySQL as questions and answers database.
Using customable text templates system for present user interfase.

Developers
---------------
Valery Grazdankin (leader) <vg@mail.esoo.ru>
Alexander Kovalyov (cibfx) <cibfx@bk.ru>

Contributors
--------------------
Valery Grazdankin (leader) <vg@mail.esoo.ru>

%package doc
Summary: Knowledge testing HTTP service documentation
Group: Education

%description doc
Knowledge testing HTTP service documentation.

Developers
---------------
Valery Grazdankin (leader) <vg@mail.esoo.ru>
Alexander Kovalyov (cibfx) <cibfx@bk.ru>

Contributors
--------------------
Valery Grazdankin (leader) <vg@mail.esoo.ru>

%prep
%setup -q

%build
%make_build

%install
%__mkdir_p %buildroot{%_sbindir,%_sysconfdir/xinetd.d,%_docdir/%name,%_man8dir}
%__mkdir_p %buildroot%_localstatedir/%name/{media,db_dump,tpl,sql}
%__install bin/%name %buildroot%_sbindir
%__install -p -m640 %name.xinetd %buildroot%_sysconfdir/xinetd.d/%name
%__cp -r -f templates/* %buildroot%_localstatedir/%name

%__install -m644 %name.sql %buildroot%_localstatedir/%name/sql
%__install -m644 doc/%name.pdf %buildroot%_docdir/%name
%__install -m644 doc/%name.8 %buildroot%_man8dir

%pre
/usr/sbin/groupadd -rf %name
/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name &>/dev/null ||:

%files
%_sbindir/*
%_sysconfdir/xinetd.d/%name
%dir %attr(-,%name,%name) %_localstatedir/%name
%attr(-,%name,%name) %_localstatedir/%name/*
%_man8dir/*
%doc ChangeLog README TODO

%files doc
%_docdir/%name

%changelog
* Sun May 28 2006 Valery Grazdankin <leader@altlinux.ru> 1.0-alt3
- mysql5 build

* Wed Jun 02 2004 Valery Grazdankin <leader@altlinux.ru> 1.0-alt2
- add string length control
- fix counter error in JavaScript 
- update templates
- fix navigation links
- add version and build info for "-v" command line key

* Thu Apr 08 2004 Valery Grazdankin <leader@altlinux.ru> 1.0-alt1
- remove deprecated function mysql_create_db().
- initial build

